Problema

Algumas configurações e pacotes configuráveis do OSGi enviados para /apps em uma pasta de instalação ou configuração não estão sendo aplicados.

Ambiente

AEM 6.x

Causa

As seguintes poucas causas são responsáveis pelo problema.

  1. A pasta de instalação ou configuração está mais profunda na árvore de pastas do que quatro níveis de profundidade. Arquivos em um nível mais profundo do que esse nível não são instalados.
  2. A configuração ou o pacote configurável está incorreto ou está corrompido.
  3. A pasta de instalação ou configuração tem um runmode no nome que não se aplica à instância. Por exemplo, config.publishqa ou install.publishstage.

O instalador OSGi está em um estado inconsistente.

Resolução

  1. Se a pasta de instalação ou configuração estiver em um nível de profundidade maior do que quatro. Por exemplo /apps/sites/siteA/jars/install/foo-1.0.0.jar não seria instalado, mas /apps/siteA/install/foo-1.0.0.jar seria instalado.
  2. Para ver se há erros e para verificar se sua configuração ou pacote não estão incorretos, revise error.log.
  3. Se houver um runmode no nome da pasta, vá para http://host:port/system/console/status-slingsettings na instância do AEM e verifique se o runmode correto está aplicado.
  4. Caso suspeite que o instalador OSGi está com defeito, consulte este artigo para ver as etapas para corrigir o problema.

Esta obra está licenciada sob uma licença não adaptada da Creative Commons Attribution-Noncommercial-Share Alike 3.0  As publicações do Twitter™ e do Facebook não são cobertas pelos termos do Creative Commons.

Avisos legais   |   Política de privacidade online